summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2019-02-20 22:18:44 +0100
committerJeroen Roovers <jer@gentoo.org>2019-02-20 22:21:13 +0100
commit9a00cae574cf76ed7c54f6cf8fcb8de71b8b1c44 (patch)
tree66b0515b3f8f9a3a7738dacd178ea12564d3837c
parentdev-python/numexpr: remove old (diff)
downloadgentoo-9a00cae574cf76ed7c54f6cf8fcb8de71b8b1c44.tar.gz
gentoo-9a00cae574cf76ed7c54f6cf8fcb8de71b8b1c44.tar.bz2
gentoo-9a00cae574cf76ed7c54f6cf8fcb8de71b8b1c44.zip
x11-misc/zim: Version 0.70_rc3
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
-rw-r--r--x11-misc/zim/Manifest1
-rw-r--r--x11-misc/zim/zim-0.70_rc3.ebuild86
2 files changed, 87 insertions, 0 deletions
diff --git a/x11-misc/zim/Manifest b/x11-misc/zim/Manifest
index ee85a9fbc144..2357d5cfe2cb 100644
--- a/x11-misc/zim/Manifest
+++ b/x11-misc/zim/Manifest
@@ -2,3 +2,4 @@ DIST zim-0.65.tar.gz 1899614 BLAKE2B e7989d91120f2ffe0668c996b5abd61cc1cb12b2a5a
DIST zim-0.68.tar.gz 2044224 BLAKE2B 5c53c3197bc5de90c38059e7323366ed5b7600ebf0b3575d81e618d972d0360f67660da4637f1e6f1459549b21525ed17183e9c2f57f8ab0b27236e36bda9666 SHA512 4ab7f2b55e37ae917a7faa0018a36cbad2534bb43146f47810479155009eb2ccbf4f8ab185d8b4cd3ba7e22a4e2fc5eb08c4bae0688186c13d31dfcab23b0048
DIST zim-0.69.tar.gz 2044631 BLAKE2B 447fa4fb2d11b1399668ec6b627e23150577b574afb1e5c33738cb690779f49adb2d60e0b01eb82d2cf0dfd4a430099c1ae4b52186b60a2564c501b93aa01822 SHA512 452b2119d63927765c3807dbbdfadea94be31ee7fd3eb9b8cf79e8699c57478ec9cd392299a6e1dc3690dbe520925cddf5fca4596db809a2cc296bb6669d12af
DIST zim-0.70_rc1.tar.gz 2889546 BLAKE2B ca0c2274472f7e3f50e2b51ba59a75ae1422e7bad86a8fdc55474c150b1ac227ad785c3484d1255079a8aa169bc437e6016254ed8d4691d8e8d78a5112d71038 SHA512 fca61ea5c249ba33187d48a6794c11f30afd664e07462c738ca2b64f7d970e95628ecbcdb9c19a23b70c1609993d4111a9976cdddbf2fd5ad3029014a8a01339
+DIST zim-0.70_rc3.tar.gz 2877315 BLAKE2B 1467bbd6bbd11e53120193a5f77dc7ab52eb8f1478c3dbc98e229d784f4432e862ab578277b79058eae43943bfbe8812b45153130779f7c84f14b342d3ba7357 SHA512 32fcad48c2deb9739cb7d3214138cdac7c6499008f884ba61aeb51ec387d600b87c7848abf7982fa165c4130446c307e57ee1762f7107894b70d96ded528bc0e
diff --git a/x11-misc/zim/zim-0.70_rc3.ebuild b/x11-misc/zim/zim-0.70_rc3.ebuild
new file mode 100644
index 000000000000..07254bed7a65
--- /dev/null
+++ b/x11-misc/zim/zim-0.70_rc3.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{4,5,6} )
+PYTHON_REQ_USE="sqlite"
+DISTUTILS_SINGLE_IMPL=1
+inherit xdg-utils distutils-r1 gnome2-utils virtualx
+
+DESCRIPTION="A desktop wiki"
+HOMEPAGE="
+ http://zim-wiki.org/
+ https://github.com/zim-desktop-wiki/
+"
+SRC_URI="https://github.com/${PN}-desktop-wiki/${PN}-desktop-wiki/archive/${PV/_/-}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/pyxdg[${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+ x11-misc/xdg-utils
+"
+DEPEND="
+ ${RDEPEND}
+ test? (
+ dev-vcs/bzr
+ dev-vcs/git
+ dev-vcs/mercurial
+ )
+"
+DOCS=( CHANGELOG.md CONTRIBUTING.md PLUGIN_WRITING.md README.md )
+PATCHES=( "${FILESDIR}"/${PN}-0.60-remove-ubuntu-theme.patch )
+S=${WORKDIR}/${PN}-desktop-wiki-${PV/_/-}
+
+python_prepare_all() {
+ sed -i -e "s/'USER'/'LOGNAME'/g" zim/__init__.py zim/fs.py || die
+
+ if [[ ${LINGUAS} ]]; then
+ local lingua
+ for lingua in translations/*.po; do
+ lingua=${lingua/.po}
+ lingua=${lingua/translations\/}
+ has ${lingua} ${LINGUAS} || \
+ { rm translations/${lingua}.po || die; }
+ done
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ virtx ${PYTHON} test.py
+}
+
+python_install() {
+ distutils-r1_python_install
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ if ! has_version ${CATEGORY}/${PN}; then
+ elog "Please install these packages for additional functionality"
+ elog " dev-lang/R"
+ elog " dev-python/gtkspell-python"
+ elog " dev-vcs/bzr"
+ elog " media-gfx/graphviz"
+ elog " media-gfx/imagemagick"
+ elog " media-gfx/scrot"
+ elog " media-sound/lilypond"
+ elog " sci-visualization/gnuplot"
+ elog " virtual/latex-base app-text/dvipng"
+ fi
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}